import { IdKeyType, User } from '../common';
import { LoginByRefreshTokenApi } from './types';
/**
 * 定义刷新令牌的 API
 * @template K - ID 类型
 * @template U - 用户类型
 * @param {string} path - API 路径
 * @param {string} service - 服务名称
 * @returns {LoginByRefreshTokenApi<K, U>} - 刷新令牌的登录 API
 */
export declare const defineRefreshTokenApi: <K extends IdKeyType = string, U extends User<K> = User<K>>(path: string, service?: string) => LoginByRefreshTokenApi<K, U>;
